openapi: 3.0.3
info:
  title: Swagger ARMA Property dutch
  version: 1.0.11

components:
  schemas:
    base.MultiLang:
      x-baseClass: 'prozorro_sale.registry.models.base.MultiLang'
      type: object
      title: base.MultiLang
      description: ' Multi language string model '
      properties:
        uk_UA:
          x-legalNameUa: Назва українською
          x-legalNameEn: Ukrainian name
          type: string
          minLength: 1
        en_US:
          x-legalNameUa: Назва англійською
          x-legalNameEn: English name
          type: string
    base.Value:
      type: object
      title: base.Value
      description: |
        Value model
        Містить дані щодо вартості. За замовчуванням: валюта - гривня. Може використовуватися для реєстраційного і гарантійного внесків і т.д.
      properties:
        currency:
          type: string
          default: UAH
          enum:
            - UAH
            - USD
            - EUR
          x-legalNameUa: Валюта
          x-legalNameEn: Currency
        amount:
          type: number
          format: float
          x-format: decimal-float
          example: 10.0
          minimum: 0
          x-legalNameUa: Сума
          x-legalNameEn: Amount
      required:
        - currency
        - amount
    base.AccountIdentification:
      x-baseClass: 'prozorro_sale.procedure.models.base.AccountIdentification'
      type: object
      title: base.AccountIdentification
      description: |
        АccountIdentification model <br>
        Містить дані щодо можливих, до заповнення, банківських ідентифікаторів, є обов'язковою складовою моделі BankAccount
      properties:
        description:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис до банківських реквізитів
          x-legalNameEn: Account identification description
        scheme:
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/accountIdentifiers (Окрім FOR-IBAN)
          type: string
          x-dictionaries:
            - accountIdentifiers
          x-exclude-masks:
            - FOR-IBAN
          x-legalNameUa: Тип банківського ідентифікатора
          x-legalNameEn: Account identification type
        id:
          type: string
          x-legalNameUa: Ідентифікатор
          x-legalNameEn: Account identification ID
      required:
        - id
        - scheme
    base.ValueWithTax:
      x-baseClass: 'prozorro_sale.procedure.models.base.ValueWithTax'
      type: object
      title: base.ValueWithTax
      description: |
        Value model <br>
        Містить дані щодо вартості. За замовчуванням: валюта - гривня, ПДВ - включено. Може використовуватися для стартової ціни лота, кроку аукціону і т.д.
      allOf:
        - $ref: '#/components/schemas/base.Value'
        - type: object
          properties:
            amount:
              type: number
              format: float
              x-format: decimal-float
              example: 10.0
              minimum: 0
              exclusiveMinimum: true
              x-legalNameUa: Сума
              x-legalNameEn: Amount
            valueAddedTaxIncluded:
              type: boolean
              default: true
              x-legalNameUa: Податок
              x-legalNameEn: Tax
          required:
            - currency
            - amount
    base.Classification:
      x-baseClass: 'prozorro_sale.procedure.models.base.Classification'
      type: object
      title: base.Classification
      properties:
        scheme:
          type: string
          enum:
            - CAV
          x-legalNameUa: Схема класифікатора
          x-legalNameEn: Item classification scheme
        description:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис коду класифікатора
          x-legalNameEn: Classification description
        id:
          type: string
          x-legalNameUa: Код класифікатора
          x-legalNameEn: Classification ID
      required:
        - scheme
        - id
    base.Unit:
      x-baseClass: 'prozorro_sale.procedure.models.base.Unit'
      type: object
      title: base.Unit
      description: |
        Unit model
        Містить дані щодо одиницю виміру (код), значення якої має обиратися зі словника
      properties:
        code:
          description: |
            словник https://procedure-sandbox.prozorro.sale/api/classifiers/unitCode <br>
            Обов'язково вказувати, який саме код одиниці виміру необхідно використовувати в рамках кожної окремої процедури
          type: string
          readOnly: true
          x-legalNameUa: Код одиниці виміру
          x-legalNameEn: Unit code
        name:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва одиниці виміру
          x-legalNameEn: Item unit name
      required:
        - code
    base.Item:
      type: object
      title: base.Item
      x-baseClass: 'prozorro_sale.procedure.models.base.Item'
      description: |
        Item model <br>
        Описує склад лота.
      properties:
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Внутрішній ідентифікатор об'єкта
          x-legalNameEn: Item ID
        description:
          x-legalNameUa: Опис об'єкта
          x-legalNameEn: Item description
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        classification:
          allOf:
            - $ref: '#/components/schemas/base.Classification'
          x-legalNameUa: Класифікатор об'єкта
          x-legalNameEn: Item classification
        unit:
          allOf:
            - $ref: '#/components/schemas/base.Unit'
          x-legalNameUa: Одиниці виміру об'єкта
          x-legalNameEn: Item unit
        quantity:
          type: number
          format: float
          minimum: 0
          x-strict: 4
          example: 11.1126
          x-legalNameUa: Кількість одиниць
          x-legalNameEn: Item quantity
        address:
          x-format: polymodel
          x-claim-func: 'prozorro_sale.procedure.models.utils.address_claim_func'
          anyOf:
            - $ref: '#/components/schemas/base.Address'
            - $ref: '#/components/schemas/base.AddressUa'
          x-legalNameUa: Місцезнаходження
          x-legalNameEn: Item address
      required:
        - description
        - classification
        - unit
        - quantity
    base.Location:
      type: object
      title: base.Location
      description: ' Location model '
      properties:
        latitude:
          type: string
          x-legalNameUa: Широта
          x-legalNameEn: Latitude
        longitude:
          type: string
          x-legalNameUa: Довгота
          x-legalNameEn: Longitude
        elevation:
          type: string
          x-legalNameUa: Висота
          x-legalNameEn: Elevation
      required:
        - latitude
        - longitude
    base.Document:
      x-baseClass: 'prozorro_sale.registry.models.base.Document'
      type: object
      title: base.Document
      description: |
        Document model <br>
        Містить дані щодо структури документу
      properties:
        id:
          type: string
          x-default: hex
          x-legalNameUa: Ідентифікатор документу
          x-legalNameEn: Document ID
          readOnly: true
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва документу
          x-legalNameEn: Document title
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис документу
          x-legalNameEn: Document description
        url:
          type: string
          x-format: ds-url
          x-legalNameUa: Посилання на документ
          x-legalNameEn: Document link
          readOnly: true
          example: 'http://string.com'
        relatedDocument:
          description: |
            Ідентифікатор, що відображається тільки в документі digitalSignature та використовується <br>
            для відображення зв'язку між цифровим підписом та документом об'єкту реєстру.
          type: string
          example: 5e300ec4080b60d45dc28bb8
          x-legalNameUa: Пов'язаний документ
          x-legalNameEn: Related document
        documentOf:
          type: string
          x-dictionaries:
            - documentOf
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/documentOf
          x-legalNameUa: Об'єкт документу
          x-legalNameEn: Document object
        documentType:
          type: string
          x-legalNameUa: Тип документу
          x-legalNameEn: Document type
          readOnly: true
        datePublished:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Дата публікації документу
          x-legalNameEn: Document publishing date
          readOnly: true
        dateModified:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Остання дата редагування документу
          x-legalNameEn: Document modified date
          readOnly: true
        index:
          description: |
            Чим менше значення поля, тим вище документ буде при відображенні на майданчиках. <br>
            Основним документом вважається документ з мінімальним значенням індексу. <br>
            Якщо параметр не зазначений, документи будуть виводитись останніми у переліку. <br>
            Якщо кілька документів мають однакове значення параметру, порядок сортування буде залежати від dateModified, <br>
            Пріоритет у документів доданих раніше.
          type: integer
          format: int64
          x-legalNameUa: Параметр сортування ілюстрацій
          x-legalNameEn: Document index
        format:
          type: string
          x-legalNameUa: Формат документу
          x-legalNameEn: Document format
          readOnly: true
        language:
          type: string
          x-legalNameUa: Мова документу
          x-legalNameEn: Document language
        hash:
          type: string
          x-legalNameUa: Хеш документу
          x-legalNameEn: Document hash
        token:
          type: string
        _ds_id:
          description: Ідентифікатор документа в document service
          type: string
          readOnly: true
        _ds_scope:
          description: Тип документа за доступом [public/private]
          type: string
          readOnly: true
      required:
        - title
        - documentOf
    base.Identifier:
      x-baseClass: 'prozorro_sale.registry.models.base.Identifier'
      type: object
      title: base.Identifier
      description: |
        Identifier model
        Містить дані щодо ідентифікації суб'єкта'
      properties:
        scheme:
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/ua_identifiers або зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/identifiers
          type: string
          x-dictionaries:
            - identifiers
            - ua_identifiers
          x-legalNameUa: Ідентифікатори організації або особи
          x-legalNameEn: ID type
        legalName:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Повна юридична назва організації або ПІБ фізичної особи
          x-legalNameEn: Legal name
        id:
          type: string
          x-legalNameUa: Код ЄДРПОУ або ІПН або паспорт
          x-legalNameEn: ID
      required:
        - scheme
        - legalName
        - id
    base.AddressIdentifier:
      type: object
      title: base.AddressIdentifier
      x-baseClass: 'prozorro_sale.registry.models.base.AddressIdentifier'
      properties:
        scheme:
          description: обирається зі словника https://procedure-sandbox.prozorro.sale/api/classifiers/koatuu
          type: string
          enum:
            - koatuu
          x-legalNameUa: Класифікатор об’єктів адміністративно-територіального устрою України
          x-legalNameEn: Type of objects of administrative-territorial organization of Ukraine
        name:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва адміністративно-територіальних об’єктів України
          x-legalNameEn: Name of objects of administrative-territorial organization of Ukraine
        id:
          type: string
          x-legalNameUa: Код адміністративно-територіальних об’єктів України
          x-legalNameEn: ID of objects of administrative-territorial organization of Ukraine
      required:
        - scheme
        - id
    base.Address:
      x-baseClass: 'prozorro_sale.registry.models.base.Address'
      type: object
      title: base.Address
      description: |
        Address model <br>
        Може містити дані щодо місцезнаходження об'єкту чи суб'єкту.
      properties:
        addressID:
          type: object
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/base.AddressIdentifier'
          x-legalNameUa: Код об’єктів адміністративно-територіального устрою України
          x-legalNameEn: ID of objects of administrative-territorial organization of Ukraine
        streetAddress:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Адреса
          x-legalNameEn: Address
        locality:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Населений пункт
          x-legalNameEn: City
        region:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Область
          x-legalNameEn: Region
        postalCode:
          type: string
          x-legalNameUa: Поштовий індекс
          x-legalNameEn: ZIP code
        countryName:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
      required:
        - countryName
    base.AddressUa:
      title: base.AddressUa
      allOf:
        - $ref: '#/components/schemas/base.Address'
        - type: object
          properties:
            region:
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
                - type: object
                  properties:
                    uk_UA:
                      type: string
                      enum:
                        - Автономна Республіка Крим
                        - Вінницька область
                        - Волинська область
                        - Дніпропетровська область
                        - Донецька область
                        - Житомирська область
                        - Закарпатська область
                        - Запорізька область
                        - Івано-Франківська область
                        - Київська область
                        - Київ
                        - Кіровоградська область
                        - Луганська область
                        - Львівська область
                        - Миколаївська область
                        - Одеська область
                        - Полтавська область
                        - Рівненська область
                        - Севастополь
                        - Сумська область
                        - Тернопільська область
                        - Харківська область
                        - Херсонська область
                        - Хмельницька область
                        - Черкаська область
                        - Чернівецька область
                        - Чернігівська область
              x-legalNameUa: Область
              x-legalNameEn: Region
            countryName:
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
                - type: object
                  properties:
                    uk_UA:
                      type: string
                      enum:
                        - Україна
            postalCode:
              type: string
              pattern: '^[0-9]{5}$'
              x-legalNameUa: Поштовий індекс
              x-legalNameEn: ZIP code
          required:
            - region
            - countryName
            - locality
    base.ContactPoint:
      type: object
      title: base.ContactPoint
      description: |
        ContactPoint model <br>
        Містить дані про контакту особу та може використовуватися для будь-якого суб'єкта
      properties:
        name:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: ПІБ
          x-legalNameEn: Main contact name
        email:
          type: string
          format: email
          x-legalNameUa: Адреса електронної пошти
          x-legalNameEn: Main contact e-mail
        telephone:
          type: string
          pattern: '^[+0][0-9]+$'
          x-legalNameUa: Номер телефону
          x-legalNameEn: Main contact tel
        faxNumber:
          type: string
          pattern: '^[+][0-9]+$'
          x-legalNameUa: Номер факсу
          x-legalNameEn: Main contact fax
        url:
          type: string
          format: uri
          example: 'http://string.com'
          x-legalNameUa: Веб адреса
          x-legalNameEn: Website
      required:
        - name
        - email
        - telephone
    base.Organization:
      x-baseClass: 'prozorro_sale.registry.models.base.Organization'
      type: object
      title: base.Organization
      description: |
        Organization model <br>
        Містить дані про суб'єкта'
      properties:
        name:
          description: |
            автогенерується з поля identifier.legalName
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Повна юридична назва організації або ПІБ
          x-legalNameEn: Legal name or Full Name
        identifier:
          allOf:
            - $ref: '#/components/schemas/base.Identifier'
          x-legalNameUa: Ідентифікатори організації, фізичної особи або ФОП
          x-legalNameEn: Identifier
        address:
          x-format: polymodel
          x-claim-func: 'prozorro_sale.registry.models.utils.address_claim_func'
          anyOf:
            - allOf:
                - $ref: '#/components/schemas/base.Address'
                - type: object
                  required:
                    - streetAddress
                    - locality
                    - region
                    - countryName
            - allOf:
                - $ref: '#/components/schemas/base.AddressUa'
                - type: object
                  required:
                    - streetAddress
                    - locality
                    - region
                    - countryName
          x-legalNameUa: Адреса організації
          x-legalNameEn: Address
        contactPoint:
          allOf:
            - $ref: '#/components/schemas/base.ContactPoint'
          x-legalNameUa: Контактна особа
          x-legalNameEn: Main contact
        representativeInfo:
          type: string
          example: "Довіреність № 123 від 22.02.2012, дійсна до 30.03.2012/Наказ № 142 від 14.12.2019/Статут ТОВ Кульбаба від 24.07.2002"
          x-legalNameUa: Інформація щодо підтвердження повноважень
          x-legalNameEn: Representative information
      required:
        - identifier
        - contactPoint
        - address
    base.Question:
      x-baseClass: 'prozorro_sale.procedure.models.base.Question'
      type: object
      title: base.Question
      description: |
        Question model <br>
        Описує сервіс обговорення аукціону (запитання-відповідь)
      properties:
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор майданчика
          x-legalNameEn: Broker ID
        ownerToken:
          type: string
          format: uuid
          readOnly: true
          x-default: hex
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Ідентифікатор запитання
          x-legalNameEn: Question ID
        author:
          allOf:
            - $ref: '#/components/schemas/base.ContactPoint'
          x-legalNameUa: Автор запитання
          x-legalNameEn: Question author
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва запитання
          x-legalNameEn: Question title
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Текст запитання
          x-legalNameEn: Question description
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата публікації запитання
          x-legalNameEn: Question date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата редагування запитання
          x-legalNameEn: Question modification date
        dateAnswered:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Дата відповіді на запитання
          x-legalNameEn: Answer date
        answer:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Відповідь на запитання
          x-legalNameEn: Answer
        canUpdateUntil:
          type: string
          format: date-time
          description: |
            Верхня межа часу, до якого включно допускається оновлювати створене запитання.  <br>
            Автогенерується враховуючи дату публікації запитання + 2 години
          readOnly: true
      required:
        - author
        - title
    base.BankAccountHolder:
      x-baseClass: 'prozorro_sale.procedure.models.base.BankAccountHolder'
      type: object
      title: base.BankAccountHolder
      description: |
        BankAccountHolder model <br>
        Містить дані про банківські реквизити одержувача<br>
        Обов'язкове до заповнення
      properties:
        name:
          description: |
            автогенерується з поля identifier.legalName
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Найменування одержувача
          x-legalNameEn: Account holder
          readOnly: true
        identifier:
          allOf:
            - $ref: '#/components/schemas/base.Identifier'
            - type: object
          x-legalNameUa: Ідентифікатор одержувача
          x-legalNameEn: Identifier
      required:
        - identifier
      x-legalNameUa: Реквізити одержувача
      x-legalNameEn: Account holder
    base.BankAccount:
      x-baseClass: 'prozorro_sale.procedure.models.base.BankAccount'
      type: object
      title: base.BankAccount
      description: |
        BankAccount model <br>
        Містить дані про банківські реквизити <br>
        За умови заповнення будь-якого з полів в bankAccount обов'язкове до заповнення як мінімум 1 схема з accountIdentifications
      properties:
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Ідентифікатор банківського рахунку
          x-legalNameEn: Bank account ID
        bankName:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва банку
          x-legalNameEn: Bank name
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис
          x-legalNameEn: Bank account description
        accountHolder:
          allOf:
            - $ref: '#/components/schemas/base.BankAccountHolder'
          x-legalNameUa: Реквізити одержувача
          x-legalNameEn: Account holder
        accountIdentifications:
          type: array
          default: [ ]
          minItems: 1
          items:
            $ref: '#/components/schemas/base.AccountIdentification'
          x-legalNameUa: Банківські реквізити
          x-legalNameEn: Account identifications
      required:
        - accountHolder
        - accountIdentifications
    base.BankAccountWithCurrency:
      title: base.BankAccountWithCurrency
      description: |
        BankAccount model with currency <br>
        Містить дані про банківські реквизити з вказуванням валюти
      allOf:
        - $ref: '#/components/schemas/base.BankAccount'
        - type: object
          properties:
            currency:
              type: string
              enum:
                - UAH
                - USD
                - EUR
              x-legalNameUa: Валюта
              x-legalNameEn: Currency
          required:
            - accountHolder
            - accountIdentifications
            - currency
    base.AdditionalClassification:
      x-baseClass: 'prozorro_sale.procedure.models.base.AdditionalClassification'
      type: object
      title: base.AdditionalClassification
      description: |
        Модель додаткового класифікатора, що є не обов''язковою складовою моделі Item, значення обирається зі словника.<br>
        Посилання на ендпоінт з класифікаторами: https://procedure-sandbox.prozorro.sale/api/classifiers.<br>
        Містить додаткові можливі дані про лот. В моделі Item може бути необмежена кількість додаткових класифікаторів.
      properties:
        scheme:
          type: string
          x-legalNameUa: Схема додаткового класифікатору
          x-legalNameEn: Item additional classification scheme
        description:
          x-legalNameUa: Опис додаткового класифікатору
          x-legalNameEn: Item additional classification description
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        id:
          type: string
          x-legalNameUa: Код додаткового класифікатору
          x-legalNameEn: Item additional classification ID
      required:
        - scheme
        - id
    base.LandProps:
      type: object
      title: base.LandProps
      # todo: create separate class because it can inherit/override redundant fields
      x-baseClass: 'prozorro_sale.procedure.models.base.BaseItemProps'
      description: |
        Model with specific properties for land <br>
        Специфічні поля для типу об'єкта Земельна ділянка
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: land
        landArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          maximum: 60362800
          x-legalNameUa: Площа ділянки, га
          x-legalNameEn: Land area, ha
        cadastralNumber:
          type: string
          example: 0000000000:00:000:0000
          pattern: '^[0-9]{10}:[0-9]{2}:[0-9]{3}:[0-9]{4}$'
          x-legalNameUa: Кадастровий номер
          x-legalNameEn: Cadastral number
        ownershipType:
          type: string
          x-dictionaries:
            - ownershipType
          description: Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/ownershipType
          x-legalNameUa: Тип власності
          x-legalNameEn: Ownership type
        encumbrances:
          type: string
          x-dictionaries:
            - encumbrances
          description: Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/encumbrances
          x-legalNameUa: Наявність обтяжень
          x-legalNameEn: Encumbrances
        jointOwnership:
          type: string
          x-legalNameUa: Наявність співвласників
          x-legalNameEn: Joint owner ship
        utilitiesAvailability:
          type: string
          x-legalNameUa: Наявність інженерних мереж
          x-legalNameEn: Utilities availability
    base.RealEstateBaseProps:
      type: object
      title: base.RealEstateBaseProps
      x-baseClass: 'prozorro_sale.procedure.models.base.RealEstateBaseProps'
      description: |
        Model with specific base properties for real estate <br>
        Специфічні базові поля для типу об'єкта Нерухоме майно
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: realEstate
        totalBuildingArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Загальна площа будівлі, кв.м.
          x-legalNameEn: The total area of the building, sq.m.
        totalObjectArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Загальна площа об''єкта в будівлі, кв.м.
          x-legalNameEn: The total object area of the building, sq.m.
        usableArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Корисна площа об''єкта в будівлі, кв.м.
          x-legalNameEn: The usable object area of the building, sq.m.
        constructionYear:
          type: integer
          format: int64
          example: 1983
          x-legalNameUa: Рік будівництва
          x-legalNameEn: Construction year
        constructionTechnology:
          type: string
          x-dictionaries:
            - constructionTechnology
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/constructionTechnology
          x-legalNameUa: Технологія будівництва
          x-legalNameEn: Construction technology
        livingArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Житлова площа, кв. м
          x-legalNameEn: Living area, sq.m.
        kitchenArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Площа кухні, кв. м
          x-legalNameEn: Kitchen area, sq.m.
        landArea:
          type: number
          format: float
          example: 1285.0
          minimum: 0
          x-legalNameUa: Площа ділянки, кв. м
          x-legalNameEn: Land area, sq.m.
        locationInBuilding:
          type: string
          x-dictionaries:
            - floorType
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/floorType
          x-legalNameUa: Місце розташування об’єкта в будівлі
          x-legalNameEn: Location of the object in the building
        floors:
          type: string
          x-legalNameUa: Номер поверху або поверхів
          x-legalNameEn: Floor(s) number
          example: 2-3, 7
    base.RealEstateProps:
      x-baseClass: 'prozorro_sale.procedure.models.base.RealEstateBaseProps'
      type: object
      title: base.RealEstateProps
      description: |
        Model with specific extended properties for real estate <br>
        Специфічні розширені поля для типу об'єкта Нерухоме майно
      allOf:
        - $ref: '#/components/schemas/base.RealEstateBaseProps'
        - type: object
          properties:
            generalCondition:
              type: string
              x-legalNameUa: Технічний стан об'єкта
              x-legalNameEn: Technical condition of the object
            serviceElectricity:
              type: boolean
              x-legalNameUa: Чи приєднаний об'єкт до електромережі
              x-legalNameEn: Connection to the electrical network
            powerSupplyCapacity:
              type: number
              format: float
              example: 42.0
              minimum: 0
              x-legalNameUa: Потужність електромережі, кВт
              x-legalNameEn: Power supply, kW
            powerSupplyClass:
              type: string
              x-dictionaries:
                - powerSupplyClass
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/powerSupplyClass
              x-legalNameUa: Ступінь потужності електромережі
              x-legalNameEn: Power supply class
            serviceWater:
              type: boolean
              x-legalNameUa: Водозабезпечення присутнє
              x-legalNameEn: Water supply is present
            serviceSewerage:
              type: boolean
              x-legalNameUa: Каналізація присутня
              x-legalNameEn: Sewerage is present
            serviceGas:
              type: boolean
              x-legalNameUa: Газифікація присутня
              x-legalNameEn: Gasification is present
            serviceCentralHeating:
              type: boolean
              x-legalNameUa: Централізоване опалення присутнє
              x-legalNameEn: Centralized heating is present
            serviceAutonomousHeating:
              type: boolean
              x-legalNameUa: Автономне опалення присутнє
              x-legalNameEn: Autonomous heating is present
            serviceHeatingCounter:
              type: boolean
              x-legalNameUa: Лічильник опалення присутній
              x-legalNameEn: Heating meter is present
            serviceVentilation:
              type: boolean
              x-legalNameUa: Вентиляція присутня
              x-legalNameEn: Ventilation is present
            serviceAirConditioning:
              type: boolean
              x-legalNameUa: Кондиціонування присутнє
              x-legalNameEn: Air conditioning is present
            servicePhone:
              type: boolean
              x-legalNameUa: Телефонізація присутня
              x-legalNameEn: Telephony is present
            serviceTV:
              type: boolean
              x-legalNameUa: Телебачення присутнє
              x-legalNameEn: Television is present
            serviceInternet:
              type: boolean
              x-legalNameUa: Інтернет присутній
              x-legalNameEn: Internet is present
            serviceElevator:
              type: boolean
              x-legalNameUa: Ліфт присутній
              x-legalNameEn: Elevator is present
            serviceSecurityAlarm:
              type: boolean
              x-legalNameUa: Охоронна сигналізація присутня
              x-legalNameEn: Security alarm is present
            serviceFireAlarm:
              type: boolean
              x-legalNameUa: Пожежна сигналізація присутня
              x-legalNameEn: Fire alarm is present
            servicesDescription:
              type: string
              x-legalNameUa: Додаткова інформація щодо комунікацій, що є в об''єкті
              x-legalNameEn: Additional information regarding communications available in the facility
              example: Водопостачання - Центральне, Свердловина; Газопостачання - Наявне; Опалення - Центральне, Автономне газове, Автономне електричне; Каналізація - Центральна, Септик
            servicesAccounting:
              type: string
              x-legalNameUa: Інформація про наявність окремих особових рахунків на об'єкт, відкритих постачальниками комунальних послуг
              x-legalNameEn: Information on the availability of separate personal accounts for the object, opened by utility providers
            landTax:
              type: string
              x-legalNameUa: Інформація щодо компенсації сплати земельного податку за користування земельною ділянкою, на якій розташований об'єкт
              x-legalNameEn: Information on compensation for the payment of land tax for the use of the land plot on which the object is located
          required:
            - totalObjectArea
    base.JointPropertyComplexProps:
      type: object
      title: base.JointPropertyComplexProps
      # todo: create separate class because it can inherit/override redundant fields
      x-baseClass: 'prozorro_sale.procedure.models.base.BaseItemProps'
      description: |
        Model with specific properties for Joint Property Complex <br>
        Специфічні поля для типу об'єкта ЄМК
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: jointPropertyComplex
        quantityAndNomenclature:
          type: string
          x-legalNameUa: Обсяг та основна номенклатура продукції (робіт, послуг), у тому числі експортної
          x-legalNameEn: Quantity and basic nomenclature of products (works, services), including export
        workplacesQuantity:
          type: integer
          format: int64
          example: 500
          x-legalNameUa: Кількість робочих місць, ociб
          x-legalNameEn: Workplaces quantity, persons
        buildingsInformation:
          type: string
          x-legalNameUa: Відомості про будівлі (споруди, приміщення) єдиного майнового комплексу в обсязі, передбаченому для інформації про нерухоме майно
          x-legalNameEn: Information about buildings (structures, premises) of a single property complex
          example: Будівлі А, Б, В, Г, Д, склад Д, розбірна конструкція Є, ТП 4305, прохідна, мощення
        landPlotInformation:
          type: string
          x-legalNameUa: Відомості про земельну ділянку, на якій розташовано єдиний майновий комплекс
          x-legalNameEn: Information about the land plot on which the property complex is located
          example: Площа ділянки, кадастровий номер - '8000000000:72:233:0018' або обліковий номер
        landProps:
          allOf:
            - $ref: '#/components/schemas/base.LandProps'
            - type: object
              properties:
                landIntendedUse:
                  type: string
                  x-legalNameUa: Поточне використання земельної ділянки
                  x-legalNameEn: Land intended use
          x-legalNameUa: Характеристики земельної ділянки
          x-legalNameEn: Characteristics of the land plot
        mainObligations:
          type: string
          x-legalNameUa: Основні зобов’язання (договірні та позадоговірні)
          x-legalNameEn: Main obligations (contractual and non-contractual)
          example: Договір поставки №4 від 12.09.2019 року. Зобов'язання виробити для ТОВ «АлкоВайн» 300 літрів горілки «Найкраща». Зобов'язання за кредитним договором №5 від 30.06.2018 року, укладеного з банком ПАТ «Грошібанк» в розмірі 2,4 млн грн.
    base.VehicleProps:
      type: object
      title: base.VehicleProps
      x-baseClass: 'prozorro_sale.procedure.models.base.VehicleProps'
      description: |
        Model with specific properties for vehicle <br>
        Специфічні поля для типу об'єкта Транспортний засіб
      properties:
        itemPropsType:
          type: string
          readOnly: true
          default: vehicle
        brand:
          type: string
          x-legalNameUa: Марка транспортного засобу
          x-legalNameEn: Vehicle Brand
        model:
          type: string
          x-legalNameUa: Модель транспортного засобу
          x-legalNameEn: Vehicle model
        productionYear:
          type: integer
          format: int64
          example: 2008
          x-legalNameUa: Рік випуску
          x-legalNameEn: Production date
        engineCapacity:
          type: number
          format: float
          example: 1598
          x-legalNameUa: Об’єм двигуна, см³
          x-legalNameEn: Cubic capacity, cm³
        fuelType:
          type: string
          x-dictionaries:
            - fuelType
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/fuelType
          x-legalNameUa: Тип палива
          x-legalNameEn: Fuel type
        transmission:
          type: string
          x-dictionaries:
            - transmissionType
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/transmissionType
          x-legalNameUa: Тип коробки передач
          x-legalNameEn: Transmission type
        color:
          type: string
          x-legalNameUa: Колір
          x-legalNameEn: Colour
        kilometrage:
          type: number
          format: float
          example: 55550
          x-legalNameUa: Пробіг, км
          x-legalNameEn: Kilometrage, km
        identificationNumber:
          type: string
          x-legalNameUa: Номер кузова або шасі (VIN-код)
          x-legalNameEn: Identification number
        configuration:
          type: string
          x-legalNameUa: Комплектація
          x-legalNameEn: Configuration
        condition:
          type: string
          x-legalNameUa: Технічний стан
          x-legalNameEn: Condition
        damagedDescription:
          description: in case damagedPresence true should be required
          type: string
          x-legalNameUa: Опис пошкоджень
          x-legalNameEn: Damaged description
        damagePresence:
          type: boolean
          default: false
          x-legalNameUa: Потреба у ремонті
          x-legalNameEn: Repair need
    base.RegistrationDetails:
      type: object
      title: base.RegistrationDetails
      properties:
        registrationStatus:
          type: string
          description: |
            Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/registrationStatus
          x-dictionaries:
            - registrationStatus
          x-legalNameUa: Cтатус реєстрації
          x-legalNameEn: Registration status
        registrationID:
          type: string
          x-legalNameUa: Номер запису
          x-legalNameEn: Registration ID
        registrationDate:
          type: string
          format: date-time
          x-legalNameUa: Дата реєстрації
          x-legalNameEn: Registration date
    base.RequiredRegistrationDetails:
      x-baseClass: 'prozorro_sale.procedure.models.base.RequiredRegistrationDetails'
      title: base.RequiredRegistrationDetails
      description: |
        Якщо зі словника registrationState в полі registrationStatus вибрано properlyRegistered - поля registrationID та registrationDate обов'язкові
      allOf:
        - $ref: '#/components/schemas/base.RegistrationDetails'
        - type: object
          properties:
            registrationStatus:
              type: string
              x-dictionaries:
                - registrationState
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/registrationState
              x-legalNameUa: Стан державної реєстрації об''єкту
              x-legalNameEn: State of official registration of the registry
            registrationID:
              type: string
              minLength: 1
              x-legalNameUa: Номер запису
              x-legalNameEn: Registration ID
            registrationDate:
              type: string
              format: date-time
              x-legalNameUa: Дата реєстрації
              x-legalNameEn: Registration date
          required:
            - registrationStatus
    base.AwardWithoutBid:
      x-baseClass: 'prozorro_sale.procedure.models.base.AwardWithoutBid'
      type: object
      title: base.AwardWithoutBid
      description: |
        Award model <br>
        Містить дані щодо об'єкта, що формується за результатами аукціону в межах якого відбувається кваліфікація кожного окремого учасника <br>
        LegalNames значень у полі status мають бути додані в документ з лигнеймами для процедури.
      properties:
        id:
          type: string
          x-legalNameUa: Ідентифікатор кваліфікації учасника аукціону
          x-legalNameEn: Award ID
          x-default: hex
          readOnly: true
        title:
          x-legalNameUa: Назва рішення щодо кваліфікації учасника аукціону
          x-legalNameEn: Award title
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        description:
          x-legalNameUa: Опис рішення щодо кваліфікації учасника аукціону
          x-legalNameEn: Award description
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        status:
          type: string
          x-legalNameUa: Статус кваліфікації учасника аукціону
          x-legalNameEn: Award status
        terminationReason:
          type: string
          x-legalNameUa: Причина дискваліфікації/відмови учаснику
          x-legalNameEn: Disqualification reason
        datePublished:
          type: string
          format: date-time
          x-legalNameUa: Дата початку кваліфікації учасника аукціону
          x-legalNameEn: Award date
          x-default: now
          readOnly: true
        value:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Цінова пропозиція
          x-legalNameEn: Award price
        buyers:
          type: array
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Інформація про учасника
          x-legalNameEn: Successful bidders
        items:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Item'
          x-legalNameUa: Склад лоту
          x-legalNameEn: Award item
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - auctionProtocol
                      - rejectionProtocol
                      - act
                      - digitalSignature
                  documentOf:
                    type: string
                    readOnly: true
                    enum:
                      - award
          x-legalNameUa: Документи до аварду
          x-legalNameEn: Award Documents
        dateModified:
          type: string
          format: date-time
          x-legalNameUa: Дата редагування
          x-legalNameEn: Award modification date
          x-default: now
          readOnly: true
      required:
        - value
    base.Award:
      x-baseClass: 'prozorro_sale.procedure.models.base.Award'
      type: object
      title: base.Award
      description: Award model
      allOf:
        - $ref: '#/components/schemas/base.AwardWithoutBid'
        - type: object
          properties:
            bidId:
              type: string
              x-legalNameUa: Ідентифікатор заяви на участь учасника аукціону
              x-legalNameEn: Award bid ID
              readOnly: true
          required:
            - bidId
            - value
    base.Period:
      x-baseClass: 'prozorro_sale.procedure.models.base.Period'
      type: object
      title: base.Period
      description: |
        Period model <br>
        Містить дані щодо кожного з періодів процедури, а також аварду та договору (за наявності).
      properties:
        startDate:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата та час початку
          x-legalNameEn: Start date
        endDate:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Дата та час завершення
          x-legalNameEn: End date
      required:
        - startDate
    base.DutchMinimalStep:
      x-baseClass: 'prozorro_sale.procedure.models.base.DutchMinimalStep'
      title: base.DutchMinimalStep
      type: object
      description: |
        Крок аукціону складає 1% від стартової ціни
      properties:
        currency:
          type: string
          enum:
            - UAH
            - USD
            - EUR
          default: UAH
          readOnly: true
          x-legalNameUa: Валюта
          x-legalNameEn: Currency
        amount:
          type: number
          format: float
          readOnly: true
          x-format: decimal-float
          x-legalNameUa: Сума
          x-legalNameEn: Amount
      x-legalNameUa: Розмір кроку аукціону
      x-legalNameEn: Minimal step
    base.DutchStep:
      x-baseClass: 'prozorro_sale.procedure.models.base.DutchStep'
      type: object
      description: |
        Поля dutchStepPercent та dutchStepValue автогенеруються на рівні ЦБД, без можливості внесення змін Організатором <br>
        Для поля dutchStepQuantity ЦБД формує дефолтне значення згідно процедури, Організатор має можливість змінити дефолтне значення.
      x-legalNameUa: Крок голландського раунду
      x-legalNameEn: Dutch steps
      title: base.DutchStep
      properties:
        dutchStepQuantity:
          type: integer
          format: int64
          minimum: 1
          x-legalNameUa: Кількість кроків
          x-legalNameEn: Dutch steps quantity
        dutchStepPercent:
          type: integer
          format: int64
          default: 1
          readOnly: true
          x-legalNameUa: Відсоток зниження, %
          x-legalNameEn: Percentage reduction, %
        dutchStepValue:
          description: автогеровано, розраховується як 1 % від стартової ціни
          type: object
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Розмір кроку голландського раунду, грн
          x-legalNameEn: Dutch step value
    base.Bid:
      type: object
      title: base.Bid
      description: |
        Bid model <br>
        Містить дані заяви на участь, її автора (учасника) та цінову пропозицію
      x-baseClass: 'prozorro_sale.procedure.models.base.Bid'
      properties:
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор майданчика
          x-legalNameEn: Broker ID
        ownerToken:
          type: string
          format: uuid
          readOnly: true
          x-default: hex
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Ідентифікатор заяви на участь
          x-legalNameEn: Bid ID
        bidders:
          type: array
          minItems: 1
          maxItems: 1
          items:
            $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Інформація про учасника
          x-legalNameEn: Bidder
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата заяви на участь
          x-legalNameEn: Bid date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Остання дата редагування ставки
          x-legalNameEn: Bid modified date
        status:
          description: необхідно вказувати можливі значення в залежності від процедури, наприклад, draft, active, deleted
          type: string
          x-legalNameUa: Статус заяви на участь
          x-legalNameEn: Bid status
        value:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Цінова пропозиція
          x-legalNameEn: Bid price amount
        documents:
          description: |
            поле має містити перелік типів документів, які вимагаються нормативною документацією для кожної окремої процедури
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentOf:
                    type: string
                    enum:
                      - bid
          x-legalNameUa: Документи до заяви про участь
          x-legalNameEn: Documents
        participationUrl:
          description: Веб-адреса, яка доступна тільки для учасника, що подав заяву на участь в аукціоні. <br>
            Час генерації посилання відповідає моменту набуття процедурою статусу active.auction
          type: string
          x-format: rel-auth-url
          readOnly: true
          example: /api/auth/auction?token=token
          x-legalNameUa: Веб-адреса для участі в аукціоні
          x-legalNameEn: Bidder participation link
        order:
          type: integer
          format: int64
          readOnly: true
      required:
        - bidders
    base.InfiniteContract:
      x-baseClass: 'prozorro_sale.procedure.models.base.InfiniteContract'
      type: object
      title: base.InfiniteContract
      description: |
        Contract model<br>
        Містить дані щодо договору, який формується, підписується та публікується в рамках процедури.
      properties:
        id:
          type: string
          readOnly: true
          x-default: hex
          x-legalNameUa: Внутрішній ідентифікатор контракту
          x-legalNameEn: Contract ID
        awardId:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор переможця
          x-legalNameEn: Award ID
        contractNumber:
          type: string
          minLength: 1
          x-legalNameUa: Номер договору
          x-legalNameEn: Contract's number
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва договору
          x-legalNameEn: Contract's title
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис договору
          x-legalNameEn: Contract's description
        value:
          allOf:
            - $ref: '#/components/schemas/base.Value'
          readOnly: true
          x-legalNameUa: Вартість договору
          x-legalNameEn: Contract's price
        contractTotalValue:
          description: Дані зазначаються Організатором, вказується заключна вартість договору в грн. (UAH)
          allOf:
            - $ref: '#/components/schemas/base.Value'
          x-legalNameUa: Заключна вартість договору
          x-legalNameEn: Total contract's value
        items:
          type: array
          x-format: list-object
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Item'
          x-legalNameUa: Склад лоту
          x-legalNameEn: Contract's item
        buyers:
          type: array
          default: [ ]
          items:
            $ref: '#/components/schemas/base.Organization'
          readOnly: true
          x-legalNameUa: Переможець
          x-legalNameEn: Contract's winners
        status:
          description: |
            вказувати перелік статусів (enum)
          type: string
          readOnly: true
          x-legalNameUa: Статус договору
          x-legalNameEn: Contract's status
        dateSigned:
          type: string
          format: date-time
          x-legalNameUa: Дата підписання договору
          x-legalNameEn: Signing date
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата створення об'єкта договору
          x-legalNameEn: Contract's creation date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Остання дата редагування договору
          x-legalNameEn: Contract's modified date
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - contractNotice
                      - contractSigned
                      - contractAnnexe
          x-legalNameUa: Документи та додатки пов’язані з договором
          x-legalNameEn: Contract's documents
      required:
        - awardId
    base.LifeTime:
      type: object
      title: base.LifeTime
      x-baseClass: 'prozorro_sale.procedure.models.base.LifeTime'
      description: 'LifeTime model Містить дані щодо тривалості періоду (від - до). dateTill > dateFrom'
      properties:
        dateFrom:
          type: string
          format: date-time
          x-default: now
          x-legalNameUa: Період з
          x-legalNameEn: Date from
        dateTill:
          type: string
          format: date-time
          x-legalNameUa: Період по
          x-legalNameEn: Date till
      required:
        - dateFrom
        - dateTill
    base.Contract:
      x-baseClass: 'prozorro_sale.procedure.models.base.Contract'
      type: object
      title: base.Contract
      allOf:
        - $ref: '#/components/schemas/base.InfiniteContract'
        - type: object
          properties:
            contractTime:
              type: object
              allOf:
                - $ref: '#/components/schemas/base.LifeTime'
              x-legalNameUa: Строк дії договору
              x-legalNameEn: Contract's terms
    base.CancellationDocument:
      type: object
      title: base.CancellationDocument
      allOf:
        - $ref: '#/components/schemas/base.Document'
        - type: object
          properties:
            documentType:
              type: string
              enum:
                - cancellationDetails
                - digitalSignature
            documentOf:
              type: string
              readOnly: true
              enum:
                - cancellation
          x-legalNameUa: Документи та додатки пов’язані зі скасуванням
          x-legalNameEn: Cancellation documents
    base.Cancellation:
      x-baseClass: 'prozorro_sale.procedure.models.base.Cancellation'
      type: object
      title: base.Cancellation
      description: |
        Cancellation model <br>
        Містить дані щодо скасування аукціону
      properties:
        id:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор об'єкта скасування
          x-legalNameEn: Aucton cancellation ID
          x-default: hex
        reason:
          x-legalNameUa: Причина скасування Аукціону
          x-legalNameEn: Cancellation reason
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
        documents:
          type: array
          x-format: list-object
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.CancellationDocument'
        datePublished:
          type: string
          format: date-time
          x-legalNameUa: Дата скасування
          x-legalNameEn: Cancellation date
      required:
        - datePublished
        - reason
        - documents
    
    armaProperty.AccountIdentification:
      title: armaProperty.AccountIdentification
      allOf:
        - $ref: '#/components/schemas/base.AccountIdentification'
        - type: object
          properties:
            scheme:
              description: |
                Обирається одне значення зі словника https://procedure-sandbox.prozorro.sale/api/dictionaries/accountIdentifiers
              type: string
              x-dictionaries:
                - accountIdentifiers
              x-legalNameUa: Тип банківського ідентифікатора
              x-legalNameEn: Account identification type
    armaProperty.BankAccountWithCurrency:
      title: armaProperty.BankAccountWithCurrency
      allOf:
        - $ref: '#/components/schemas/base.BankAccountWithCurrency'
        - type: object
          properties:
            accountIdentifications:
              type: array
              default: [ ]
              minItems: 1
              items:
                $ref: '#/components/schemas/armaProperty.AccountIdentification'
              x-legalNameUa: Банківські реквізити
              x-legalNameEn: Account identifications
    armaProperty.BankAccountsByType:
      x-baseClass: 'prozorro_sale.procedure.packages.armaProperty.procedure.BankAccountsByType'
      title: armaProperty.BankAccountsByType
      type: object
      description: |
        Обов'язково заповнити два банківських рахунки з типом guarantee та registrationFee, валюта обох рахунків UAH.
        Рахунків для кожного типу в UAH/USD/EUR може бути безліч.
      properties:
        accountType:
          type: string
          description: Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/accountType
          x-dictionaries:
            - accountType
          enum:
            - registrationFee
            - guarantee
            - other
            - payment
        accounts:
          type: array
          default: [ ]
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/armaProperty.BankAccountWithCurrency'
      x-legalNameUa: Банківські рахунки
      x-legalNameEn: Bank accounts
    armaProperty.AdditionalClassification:
      type: object
      title: armaProperty.AdditionalClassification
      description: |
        Не обов'язкова складова моделі Item, має бути обрана зі словника. Містить додаткові можливі дані про лот.
      allOf:
        - $ref: '#/components/schemas/base.AdditionalClassification'
        - type: object
          properties:
            scheme:
              type: string
              enum:
                - CPVS
                - CVZU
              x-legalNameUa: Схема додаткового класифікатору
              x-legalNameEn: Item additional classification scheme
    armaProperty.Classification:
      title: armaProperty.Classification
      description: |
        Під час публікації процедури ЦБД приймає одне значення зі словника CAV для основного класифікатору (обов'язковий): https://procedure-sandbox.prozorro.sale/api/classifiers/CAV
      allOf:
        - $ref: '#/components/schemas/base.Classification'
        - type: object
          properties:
            scheme:
              type: string
              enum:
                - CAV
              x-legalNameUa: Схема класифікатора
              x-legalNameEn: Item classification scheme
            id:
              type: string
              x-dictionaries:
                - CAV
              x-legalNameUa: Код класифікатора
              x-legalNameEn: Classification ID
            description:
              allOf:
                - $ref: '#/components/schemas/base.MultiLang'
              x-legalNameUa: Опис класифікатора
              x-legalNameEn: Classification description
          required:
            - scheme
            - id
    armaProperty.LandProps:
      type: object
      title: armaProperty.LandProps
      allOf:
        - $ref: '#/components/schemas/base.LandProps'
        - type: object
          properties:
            landIntendedUse:
              type: string
              x-legalNameUa: Поточне використання земельної ділянки
              x-legalNameEn: Land intended use
            _classification_id:
              description: Technical field for item.itemProps mapping
              type: string
              readOnly: true
    armaProperty.RealEstateProps:
      type: object
      title: armaProperty.RealEstateProps
      allOf:
        - $ref: '#/components/schemas/base.RealEstateProps'
        - type: object
          properties:
            _classification_id:
              description: Technical field for item.itemProps mapping
              type: string
              readOnly: true
    armaProperty.JointPropertyComplexProps:
      type: object
      title: armaProperty.JointPropertyComplexProps
      allOf:
        - $ref: '#/components/schemas/base.JointPropertyComplexProps'
        - type: object
          properties:
            _classification_id:
              description: Technical field for item.itemProps mapping
              type: string
              readOnly: true
    armaProperty.VehicleProps:
      type: object
      title: armaProperty.VehicleProps
      allOf:
        - $ref: '#/components/schemas/base.VehicleProps'
        - type: object
          properties:
            _classification_id:
              description: Technical field for item.itemProps mapping
              type: string
              readOnly: true
    armaProperty.Item:
      x-baseClass: 'prozorro_sale.procedure.packages.armaProperty.procedure.Item'
      title: armaProperty.Item
      allOf:
        - $ref: '#/components/schemas/base.Item'
        - type: object
          properties:
            additionalClassifications:
              type: array
              default: []
              items:
                $ref: '#/components/schemas/armaProperty.AdditionalClassification'
              x-legalNameUa: Додатковий класифікатор
              x-legalNameEn: Item additional Classification ID
            classification:
              allOf:
                - $ref: '#/components/schemas/armaProperty.Classification'
              x-legalNameUa: Класифікатор об'єкта
              x-legalNameEn: Item classification
            unit:
              allOf:
                - $ref: '#/components/schemas/base.Unit'
              x-legalNameUa: Одиниці виміру
              x-legalNameEn: Item unit
            address:
              description: |
                В залежності від обраного значення із переліку основного класифікатора (**Classification**), на рівні ЦБД визначається обов'язковість заповнення поля Місцезнаходження (**address**) в об'єкті **armaProperty.Item**. <br>
                Для наступних значень поле Місцезнаходження **НЕОБОВ'ЯЗКОВЕ** для заповнення <br>
                - **07000000-9 – Права вимоги за кредитними договорами** та усі вкладені коди <br>
                - **08000000-0 – Корпоративні права** та усі вкладені коди <br>
                - **45000000-7 – Будівельні роботи** та усі вкладені коди <br>
                - **48000000-8 – Пакети програмного забезпечення та інформаційні системи** та усі вкладені коди <br>
                - **50000000-5 – Послуги з ремонту і технічного обслуговування** та усі вкладені коди <br>
                - **51000000-9 – Послуги зі встановлення (крім програмного забезпечення)** та усі вкладені коди <br>
                - **55000000-0 – Готельні, ресторанні послуги та послуги з роздрібної торгівлі** та усі вкладені коди <br>
                - **60000000-8 – Транспортні послуги (крім транспортування відходів)** та усі вкладені коди <br>
                - **63000000-9 – Додаткові та допоміжні транспортні послуги; послуги туристичних агентств** та усі вкладені коди <br>
                - **64000000-6 – Поштові та телекомунікаційні послуги** та усі вкладені коди <br>
                - **65000000-3 – Комунальні послуги** та усі вкладені коди <br>
                - **66000000-0 – Фінансові та страхові послуги** та усі вкладені коди <br>
                - **71000000-8 – Архітектурні, будівельні, інженерні та інспекційні послуги** та усі вкладені коди <br>
                - **72000000-5 – Послуги у сфері інформаційних технологій: консультування, розробка програмного забезпечення, послуги мережі Інтернет і послуги з підтримки** та усі вкладені коди <br>
                - **73000000-2 – Послуги у сфері НДДКР та пов’язані консультаційні послуги** та усі вкладені коди <br>
                - **75000000-6 – Адміністративні, оборонні послуги та послуги у сфері соціального захисту** та усі вкладені коди <br>
                - **76000000-3 – Послуги, пов’язані з нафтогазовою промисловістю** та усі вкладені коди <br>
                - **77000000-0 – Послуги у сфері сільського господарства, лісівництва, рослинництва, водного господарства та бджільництва** та усі вкладені коди <br>
                - **79000000-4 – Ділові послуги: юридичні, маркетингові, консультаційні, кадрові, поліграфічні та охоронні** та усі вкладені коди <br>
                - **80000000-4 – Послуги у сфері освіти та навчання** та усі вкладені коди <br>
                - **85000000-9 – Послуги у сфері охорони здоров’я та соціальної допомоги** та усі вкладені коди <br>
                - **90000000-7 – Послуги у сферах поводження зі стічними водами та сміттям, послуги у сферах санітарії та охорони довкілля** та усі вкладені коди <br>
                - **92000000-1 – Послуги у сфері відпочинку, культури та спорту** та усі вкладені коди <br>
                - **98000000-3 – Інші громадські, соціальні та особисті послуги** та усі вкладені коди <br>
              allOf:
                - $ref: '#/components/schemas/base.AddressUa'
                - type: object
                  required:
                    - addressID
                    - countryName
                    - region
                    - locality
              x-legalNameUa: Місцезнаходження
              x-legalNameEn: Item address
            location:
              description: |
                В залежності від обраного значення із переліку основного класифікатора (**Classification**), на рівні ЦБД визначається обов'язковість заповнення поля Географічні координати місця розташування (**location**) в об'єкті **armaProperty.Item**. <br>
                Для наступних значень поле Географічні координати місця розташування **ОБОВ'ЯЗКОВЕ** для заповнення <br>
                - 04000000-8 – Нерухоме майно та усі вкладені коди
              allOf:
                - $ref: '#/components/schemas/base.Location'
              x-legalNameUa: Географічні координати місця розташування
              x-legalNameEn: Geo position
            armaPropertyItemType:
              description: |
                Значення може автогенеруватися відповідно до обраного значення в armaProperty.Classification, якщо воно наявне у переліку <br>
                Перелік та взаємозв'язок значень щодо автогенерації зазначено у ТЗ <br>
                Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/armaPropertyItemType
              type: string
              x-dictionaries:
                - armaPropertyItemType
              x-legalNameUa: Тип активу
              x-legalNameEn: Item type
              readOnly: true
            itemProps:
              description: |
                Значення може автогенеруватися відповідно до обраного значення в armaProperty.Classification, якщо воно наявне у переліку <br>
                Перелік та взаємозв'язок значень щодо автогенерації зазначено у ТЗ <br>
              x-format: polymodel
              x-claim-func: 'prozorro_sale.procedure.packages.armaProperty.utils.armaProperty_claim_func'
              anyOf:
                - $ref: '#/components/schemas/armaProperty.LandProps'
                - $ref: '#/components/schemas/armaProperty.RealEstateProps'
                - $ref: '#/components/schemas/armaProperty.JointPropertyComplexProps'
                - $ref: '#/components/schemas/armaProperty.VehicleProps'
              x-legalNameUa: Технічні характеристики, нерухомість
              x-legalNameEn: Technical characteristics, real estate
            registrationDetails:
              allOf:
                - $ref: '#/components/schemas/base.RequiredRegistrationDetails'
              x-legalNameUa: Інформація щодо реєстрації
              x-legalNameEn: Registration details
          required:
            - description
            - classification
            - unit
            - quantity
    armaProperty.Award:
      title: armaProperty.Award
      allOf:
        - $ref: '#/components/schemas/base.Award'
        - type: object
          properties:
            items:
              type: array
              x-format: list-object
              default: []
              items:
                $ref: '#/components/schemas/armaProperty.Item'
            status:
              type: string
              enum:
                - pending
                - pending_waiting
                - active
                - cancelled
                - unsuccessful
              x-legalNameUa: Статус кваліфікації учасника аукціону
              x-legalNameEn: Award status
            terminationReason:
              type: string
              description: Посилання на словник https://procedure-sandbox.prozorro.sale/api/dictionaries/armaPropertyTerminationReason
              x-dictionaries:
                - armaPropertyTerminationReason
              x-legalNameUa: Причина дискваліфікації/відмови учаснику
              x-legalNameEn: Disqualification reason
            documents:
              type: array
              x-format: list-object
              default: []
              items:
                type: object
                allOf:
                  - $ref: '#/components/schemas/base.Document'
                  - type: object
              x-legalNameUa: Документи до аварду
              x-legalNameEn: Award Documents
            verificationPeriod:
              allOf:
                - $ref: '#/components/schemas/base.Period'
              x-legalNameUa: Період підписання протоколу
              x-legalNameEn: Verification period
              readOnly: true
            paymentPeriod:
              allOf:
                - $ref: '#/components/schemas/base.Period'
              x-legalNameUa: Період оплати
              x-legalNameEn: Payment period
              readOnly: true
            signingPeriod:
              allOf:
                - $ref: '#/components/schemas/base.Period'
              x-legalNameUa: Період підписання договору
              x-legalNameEn: Signing period
              readOnly: true
    armaProperty-dutch.Bid:
      title: armaProperty-dutch.Bid
      allOf:
        - $ref: '#/components/schemas/base.Bid'
        - type: object
          properties:
            status:
              type: string
              default: draft
              enum:
                - draft
                - active
                - deleted
                - inactive
                - invalid
              x-legalNameUa: Статус заяви на участь
              x-legalNameEn: Bid status
            documents:
              type: array
              x-format: list-object
              default: []
              items:
                type: object
                allOf:
                  - $ref: '#/components/schemas/base.Document'
                  - type: object
                    properties:
                      documentOf:
                        type: string
                        enum:
                          - bid
                      documentType:
                        type: string
                        enum:
                          - commercialProposal
                          - x_passport
                          - x_IPN
                          - x_tenderersRegisterExtract
                          - qualificationDocuments
                          - eligibilityDocuments
                          - auctionProtocol
                          - digitalSignature
              x-legalNameUa: Документи до заяви про участь
              x-legalNameEn: Documents
            inactiveBidDate:
              type: string
              format: date-time
              readOnly: true
              x-legalNameUa: Дата деактивації заяви на участь
              x-legalNameEn: Inactive bid date
          required:
            - bidders
    armaProperty.Contract:
      title: armaProperty.Contract
      x-baseClass: 'prozorro_sale.procedure.packages.armaProperty.procedure.Contract'
      description: |
        Обов'язковими до заповнення для зміни статусу контракту з signed у active є наступні об'єкти та/або поля <br>
          - description <br>
          - contractNumber <br>
          - title <br>
          - dateSigned <br>
      allOf:
        - $ref: '#/components/schemas/base.Contract'
        - type: object
          properties:
            contractNumber:
              x-legalNameUa: Номер акту/договору
              x-legalNameEn: Contract's/act number
            description:
              x-legalNameUa: Опис акту/договору
              x-legalNameEn: Contract's/act description
            contractTotalValue:
              x-legalNameUa: Заключна вартість акту/договору
              x-legalNameEn: Total contract's/act value
            status:
              type: string
              enum:
                - pending
                - signed
                - active
                - cancelled
              readOnly: true
              default: pending
              x-legalNameUa: Статус акту/договору
              x-legalNameEn: Contract's/act status
            lotPaymentConfirmation:
              type: boolean
              x-legalNameUa: Підтвердження сплати за лот
              x-legalNameEn: Lot payment  confirmation
            contractTime:
              type: object
              description: 'LifeTime model Містить дані щодо тривалості періоду (від - до). dateTill > dateFrom'
              properties:
                dateFrom:
                  type: string
                  format: date-time
                  x-default: now
                  x-legalNameUa: Період з
                  x-legalNameEn: Date from
                dateTill:
                  type: string
                  format: date-time
                  x-legalNameUa: Період по
                  x-legalNameEn: Date till
              x-legalNameUa: Строк дії акту/договору
              x-legalNameEn: Contract's/act terms
            items:
              type: array
              x-format: list-object
              default: []
              items:
                $ref: '#/components/schemas/armaProperty.Item'
            documents:
              type: array
              x-format: list-object
              default: []
              items:
                type: object
                allOf:
                  - $ref: '#/components/schemas/base.Document'
                  - type: object
                    properties:
                      documentType:
                        type: string
                        enum:
                          - contractSigned
                          - contractAnnexe
                          - digitalSignature
              x-legalNameUa: Документи та додатки пов’язані з актом/договором
              x-legalNameEn: Contract's/act documents
    
    ArmaPropertyDutchProcedure:
      type: object
      title: ArmaPropertyDutchProcedure
      description: Model for ARMA Property dutch procedure
      properties:
        owner:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор майданчика
        ownerToken:
          type: string
          format: uuid
          readOnly: true
          x-default: hex
        _id:
          type: string
          readOnly: true
          x-legalNameUa: Внутрішній ідентифікатор аукціону
          x-legalNameEn: ID
          x-default: object_id
          x-serialize_when_none: false
          x-format: object-id
        datePublished:
          type: string
          format: date-time
          readOnly: true
          x-default: now
          x-legalNameUa: Дата публікації процедури
          x-legalNameEn: Published date
        dateModified:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Остання дата зміни процедури
          x-legalNameEn: Procedure date modified
        spec:
          type: object
          x-format: multidict
          readOnly: true
        auctionId:
          type: string
          readOnly: true
          x-legalNameUa: Ідентифікатор аукціону
          x-legalNameEn: Auction ID
        disqualifiedBids:
          readOnly: true
          type: array
          default: [ ]
          items:
            type:
              string
        previousAuctionId:
          description: |
            Якщо tenderAttempts > 1 заповнюється вручну, має відповідати auctionId попереднього аукціону. <br>
            Якщо tenderAttempts = 1 то previousAuctionId не використовується
          example: APD000-UA-YYYYMMDD-00000
          pattern: '^(AP[ED][0-9]{3}-UA-[0-9]{8}-[0-9]{5}|[a-zA-Z]{2}-[a-zA-Z]{2}-[0-9]{4}-[0-9]{2}-[0-9]{2}-[0-9]{6}-[0-9])$'
          type: string
          minLength: 1
          x-legalNameUa: Ідентифікатор попереднього аукціону
          x-legalNameEn: Previous auction Id
        inactivationDate:
          type: string
          format: date-time
          readOnly: true
          x-legalNameUa: Дата деактивації заяви на участь
          x-legalNameEn: Inactive bid date
        sellingMethod:
          type: string
          enum:
            - armaProperty-dutch
            - armaProperty-dutch-ultra-fast
            - armaProperty-dutch-fast
            - armaProperty-dutch-fast-manual
            - armaProperty-dutch-fast-auction-manual-qualification
            - armaProperty-dutch-fast-auction-prod
            - armaProperty-dutch-initial-auction
            - armaProperty-dutch-initial-auction-manual
            - armaProperty-dutch-initial-qualification
            - armaProperty-dutch-initial-qualification-prod
          x-legalNameUa: Тип процедури
          x-legalNameEn: Procedure type
        organizationEntity:
          allOf:
            - $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Контактні дані організатора аукціону
          x-legalNameEn: Contact details of the auction organizer
        sellingEntity:
          allOf:
            - $ref: '#/components/schemas/base.Organization'
          x-legalNameUa: Інформація про замовника
          x-legalNameEn: Customer information
        contactPoint:
          allOf:
            - $ref: '#/components/schemas/base.ContactPoint'
          x-legalNameUa: Особа відповідальна за забезпечення огляду
          x-legalNameEn: Person organizing the inspection 
        lotId:
          type: string
          x-legalNameUa: Номер лота
          x-legalNameEn: Lot number
        title:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Назва аукціону
          x-legalNameEn: Auction title
        auctionUrl:
          type: string
          x-format: rel-url
          readOnly: true
          example: /api/auctions/123
          x-legalNameUa: Веб-адреса для перегляду аукціону
          x-legalNameEn: Auction link
        description:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Опис аукціону
          x-legalNameEn: Auction description
        accessDetails:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Порядок ознайомлення з майном, час і місце проведення огляду об’єкта
          x-legalNameEn: Auction access details
        bankAccounts:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/armaProperty.BankAccountsByType'
          x-legalNameUa: Банківські реквізити
          x-legalNameEn: Bank accounts
        x_documentRequirements:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Перелік та вимоги до оформлення документів
          x-legalNameEn: List and requirements of registration documents
        x_additionalInformation:
          allOf:
            - $ref: '#/components/schemas/base.MultiLang'
          x-legalNameUa: Додаткові відомості
          x-legalNameEn: Other requirements and additional information
        value:
          allOf:
            - $ref: '#/components/schemas/base.ValueWithTax'
            - type: object
              properties:
                amount:
                  type: number
                  format: float
                  x-format: decimal-float
                  example: 10.0
                  minimum: 0
                  exclusiveMinimum: true
                  x-legalNameUa: Сума
                  x-legalNameEn: Amount
          x-legalNameUa: Стартова ціна лота
          x-legalNameEn: Start lot price
        preparationValue:
          description: Якщо переможцю непотрібно додатково сплачувати витрати на підготовку лота вказується 0
          allOf:
            - $ref: '#/components/schemas/base.ValueWithTax'
            - type: object
              properties:
                amount:
                  type: number
                  format: float
                  x-format: decimal-float
                  example: 10.0
                  minimum: 0
                  x-legalNameUa: Сума
                  x-legalNameEn: Amount
          x-legalNameUa: Витрати на підготовку лота
          x-legalNameEn: Lot preparation costs
        valueAddedTaxCharged:
          type: boolean
          default: false
          x-legalNameUa: На фінальну суму нараховується ПДВ
          x-legalNameEn: Value added tax charged
        guarantee:
          allOf:
            - $ref: '#/components/schemas/base.Value'
            - type: object
          x-legalNameUa: Гарантійний внесок
          x-legalNameEn: Guarantee
        registrationFee:
          allOf:
            - $ref: '#/components/schemas/base.Value'
            - type: object
          x-legalNameUa: Реєстраційний внесок
          x-legalNameEn: Registration fee
        minimalStep:
          default: {}
          allOf:
            - $ref: '#/components/schemas/base.DutchMinimalStep'
          x-legalNameUa: Розмір кроку аукціону
          x-legalNameEn: Minimal step
        dutchStep:
          default: {}
          allOf:
            - $ref: '#/components/schemas/base.DutchStep'
            - type: object
              properties:
                dutchStepQuantity:
                  type: integer
                  format: int64
                  maximum: 99
                  default: 99
                  minimum: 1
                  x-legalNameUa: Кількість кроків
                  x-legalNameEn: Dutch steps quantity
          x-legalNameUa: Розмір кроку 
        tenderAttempts:
          type: integer
          default: 1
          format: int64
          minimum: 1
          x-legalNameUa: Лот виставляється
          x-legalNameEn: Attempt number
          example: 10
        items:
          type: array
          x-format: list-object
          minItems: 1
          default: []
          items:
            $ref: '#/components/schemas/armaProperty.Item'
          x-legalNameUa: Склад лота
          x-legalNameEn: Lot composition
        isPerishable:
          type: boolean
          default: false
          x-legalNameUa: Майно, що швидко псується
          x-legalNameEn: Perishable property
        documents:
          type: array
          x-format: list-object
          default: []
          items:
            type: object
            allOf:
              - $ref: '#/components/schemas/base.Document'
              - type: object
                properties:
                  documentType:
                    type: string
                    enum:
                      - illustration
                      - notice
                      - technicalSpecifications
                      - evaluationCriteria
                      - contractProforma
                      - clarifications
                      - digitalSignature
          x-legalNameUa: Всі документи аукціону та пов'язані додатки
          x-legalNameEn: Documents
        bids:
          type: array
          x-format: list-object
          default: []
          items:
            $ref: '#/components/schemas/armaProperty-dutch.Bid'
          readOnly: true
          x-legalNameUa: Заява на участь
          x-legalNameEn: Bid
        questions:
          type: array
          x-format: list-object
          default: []
          items:
            $ref: '#/components/schemas/base.Question'
          x-legalNameUa: Сервіс обговорення аукціону (запитання-відповідь)
          x-legalNameEn: Q&A
          readOnly: true
        awards:
          type: array
          x-format: list-object
          default: []
          items:
            $ref: '#/components/schemas/armaProperty.Award'
          readOnly: true
          x-legalNameUa: Рішення щодо кваліфікації учасників
          x-legalNameEn: Award
        timer:
          description: час до наступної події
          type: string
          format: date-time
          x-format: timer
          readOnly: true
          x-serialize_when_none: false
        archiveId:
          type: string
          x-format: object-id
          readOnly: true
          x-serialize_when_none: false
        contracts:
          type: array
          x-format: list-object
          default: []
          items:
            $ref: '#/components/schemas/armaProperty.Contract'
          readOnly: true
          x-legalNameUa: Договір
          x-legalNameEn: Contract
        rectificationPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період редагування
          x-legalNameEn: Rectification period
        enquiryPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період відповідей
          x-legalNameEn: Enquiry period
        tenderPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період подання заяви на участь в аукціоні
          x-legalNameEn: Tender period
        auctionPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
            - type: object
              properties:
                startDate:
                  type: string
                  format: date-time
                  x-default: now
                  x-legalNameUa: Дата та час початку
                  x-legalNameEn: Start date
          x-legalNameUa: Період аукціону
          x-legalNameEn: Auction period
        questionPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період запитань
          x-legalNameEn: Question period
        qualificationPeriod:
          allOf:
            - $ref: '#/components/schemas/base.Period'
          readOnly: true
          x-legalNameUa: Період кваліфікації
          x-legalNameEn: Qualification period
        status:
          type: string
          enum:
            - active_tendering
            - active_auction
            - active_qualification
            - pending_payment
            - active_awarded
            - complete
            - cancelled
            - unsuccessful
          readOnly: true
          x-legalNameUa: Статус процедури
          x-legalNameEn: Procedure status
        cancellations:
          type: array
          x-format: list-object
          default: []
          items:
            $ref: '#/components/schemas/base.Cancellation'
          readOnly: true
          x-legalNameUa: Скасування Аукціону
          x-legalNameEn: Auction Cancellation
        _version:
          type: integer
          format: int64
          readOnly: true
        _protected:
          type: boolean
          default: false
          readOnly: true
        _protect_level:
          type: string
          enum:
            - high
            - medium
          readOnly: true
        _meta:
          type: object
          default: {}
          x-format: serialize-multidict
          readOnly: true
      required:
        - sellingMethod
        - sellingEntity
        - contactPoint
        - lotId
        - title
        - description
        - dutchStep
        - registrationFee
        - tenderAttempts
        - value
        - preparationValue
        - guarantee
        - items
        - bankAccounts